searchNodes=[{"doc":"Wrapper functions for interacting with the Rust based rrule library","ref":"RRule.html","title":"RRule","type":"module"},{"doc":"Given a RRule, return occurrences until a limit is reached Note Maximum occurrences is limited to 65,535 to avoid order to prevent infinite loops","ref":"RRule.html#all/2","title":"RRule.all/2","type":"function"},{"doc":"Given a RRule, return all occurrences between the given UTC DateTimes. In the success case, the return will be {:ok, {occurrences, has_more }} . The has_more boolean is used to inform you if there are more occurrences that weren't returned due to the limits. Generally you'll only care about the occurrences Note Maximum occurrences is limited to 65,535 to avoid order to prevent infinite loops Example iex&gt; RRule . all_between ( &quot;DTSTART:20120101T093000Z \\n RRULE:FREQ=DAILY;COUNT=5&quot; , ~U[2012-01-01 09:00:00Z] , ~U[2012-02-01 09:00:00Z] ) { :ok , { [ ~U[2012-01-01 09:30:00Z] , ~U[2012-01-02 09:30:00Z] , ~U[2012-01-03 09:30:00Z] , ~U[2012-01-04 09:30:00Z] , ~U[2012-01-05 09:30:00Z] ] , false } }","ref":"RRule.html#all_between/3","title":"RRule.all_between/3","type":"function"},{"doc":"Given a RRule, return n occurrences between the given UTC DateTimes, where n is the limit Note Limit cannot be greater than 65,535","ref":"RRule.html#all_between/4","title":"RRule.all_between/4","type":"function"},{"doc":"Given a RRule string, return the UTC DateTime when the rule starts Example iex&gt; RRule . get_start_date ( &quot;DTSTART:20120101T093000Z \\n RRULE:FREQ=DAILY;COUNT=5&quot; ) { :ok , ~U[2012-01-01 09:30:00Z] }","ref":"RRule.html#get_start_date/1","title":"RRule.get_start_date/1","type":"function"},{"doc":"Given a RRule, returns the expanded representation if parsed successfully Example iex&gt; RRule . parse ( &quot;DTSTART:20120101T093000Z \\n RRULE:FREQ=DAILY;COUNT=5&quot; ) { :ok , &quot;DTSTART:20120101T093000Z \\n FREQ=daily;COUNT=5;BYHOUR=9;BYMINUTE=30;BYSECOND=0&quot; }","ref":"RRule.html#parse/1","title":"RRule.parse/1","type":"function"},{"doc":"Given a RRule, return a boolean indicating if the rule is valid iex&gt; RRule . validate ( &quot;DTSTART:20120101T093000Z \\n RRULE:FREQ=DAILY;COUNT=5&quot; ) :ok iex&gt; RRule . validate ( &quot;DTSTART:20120101T0930Z \\n RRULE:FREQ=DAILY;COUNT=5&quot; ) { :error , &quot;RRule parsing error: `20120101T0930Z` is not a valid datetime format for `DTSTART`.&quot; }","ref":"RRule.html#validate/1","title":"RRule.validate/1","type":"function"},{"doc":"RRule is a wrapper around the Rust based library rrule . To consume it in your projects, you'll need to have a Rust compiler installed .","ref":"readme.html","title":"RRule","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding rrule to your list of dependencies in mix.exs : def deps do [ { :rrule , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"RRule - Installation","type":"extras"}]